/////////////////////////////////////////////////
//     Ardulift.h
//     Router Lift Control Header File
//         by Gary Liming
//
//         January 2017
//
/////////////////////////////////////////////////
#define LiftThreadsPerInch     12.0   // thread pitch on drive rod in inches
#define LiftStepsPerRevolution 200.0  // step per rev for the motor being used
#define LiftMicroSteps         8.0    // microsteps set on the driver
/////////////////////////////////////////////////
#define UpSwitchPin            3      // define pins used on the arduino - User's up switch
#define DownSwitchPin          4      // User's down stwitch
#define LimitUpSwitchPin       5      // Up limit switch
#define LimitDownSwitchPin     6      // Down limit stwitch
#define ZeroSwitchPin          7      // User's set to zero switch
#define UnitsSwitchPin         8      // User's inch/mm switch
#define Lift_STEP_Pin          9      // lift motor step
#define Lift_DIR_Pin           10     // lift motor direction pin
#define ProbeSwitchPin         11     // Probe/bit closure switch pin
#define StartProbePin          12     // User's switch to begin probe sequence
#define SpeedKnobPin           A3     // Speed pot pin  
#define DispSCAPin             A4     // Default use by the display library
#define DispSCLPin             A5     // Default use by the display library
#define OnBoardLED             13     // Pin assigned to onboard LED for the Uno
#define DebounceTime           30     //set amount of time for switch debounce to settle
#define SplashTime             2000   // number of seconds for flash screen x 1000 (2000 = 2 seconds)

