 /*///////////////////////////////////////////////////////////////
// Button Test Program for AdruLift
//
//    by Gary Liming
//
//    Fall 2017
//
////////////////////////////////////////////////////////////////*/
#include "Ardulift.h"
#include <Wire.h> 
#include <LiquidCrystal_I2C.h>

LiquidCrystal_I2C disp(0x3F,20,4);  // set the LCD address to 0x3F and the I2C pins

#define OK              1  // some general indicators used for readability
#define ERR            -1
#define TRUE            1
#define FALSE           0

char Version[4] = "1.0";               // Version of this software

void setup()  {
  disp.init();          // init the data structure
  disp.backlight();     // turn on backlight 
  
  pinMode(UnitsSwitchPin, INPUT_PULLUP);        // init the input switches, and enable pullup resistors on them
  pinMode(ZeroSwitchPin, INPUT_PULLUP);
  pinMode(UpSwitchPin, INPUT_PULLUP);     
  pinMode(DownSwitchPin, INPUT_PULLUP);    
  pinMode(LimitUpSwitchPin, INPUT_PULLUP); 
  pinMode(LimitDownSwitchPin, INPUT_PULLUP); 
  pinMode(StartProbePin, INPUT_PULLUP);
  pinMode(ProbeSwitchPin, INPUT_PULLUP);
  pinMode(Lift_DIR_Pin, OUTPUT);
  pinMode(Lift_STEP_Pin, OUTPUT);

  digitalWrite(Lift_DIR_Pin, LOW);     // ensure motor is off for now incase they are present
  digitalWrite(Lift_STEP_Pin, LOW);
  
  ShowSplash();                        // announce the splash screen
}

void loop()  {                         // main loop is just to wait for user input
  int testval;
  
    testval = digitalRead(DownSwitchPin);;
    disp.setCursor(0,0);
    disp.print(F("DS= "));
    disp.setCursor(3,0);
    disp.print(testval);
    
    testval = digitalRead(UpSwitchPin);
    disp.setCursor(5,0);
    disp.print(F("US= "));
    disp.setCursor(8,0);
    disp.print(testval);

    testval = digitalRead(LimitDownSwitchPin);
    disp.setCursor(10,0);
    disp.print(F("DL= "));
    disp.setCursor(13,0);
    disp.print(testval);

    testval = digitalRead(LimitUpSwitchPin);
    disp.setCursor(15,0);
    disp.print(F("UL= "));
    disp.setCursor(18,0);
    disp.print(testval);

    testval = digitalRead(ZeroSwitchPin);
    disp.setCursor(0,1);
    disp.print(F("ZS= "));
    disp.setCursor(3,1);
    disp.print(testval);

    testval = digitalRead(UnitsSwitchPin);
    disp.setCursor(5,1);
    disp.print(F("Ut= "));
    disp.setCursor(8,1);
    disp.print(testval);

    testval = digitalRead(ProbeSwitchPin);
    disp.setCursor(10,1);
    disp.print(F("PC= "));
    disp.setCursor(13,1);
    disp.print(testval);
    
    testval = digitalRead(StartProbePin);
    disp.setCursor(15,1);
    disp.print(F("PS= "));
    disp.setCursor(18,1);
    disp.print(testval);
    
    testval = analogRead(SpeedKnobPin);
    testval = map(testval, 1023, 0, 1, 10);
    disp.setCursor(5,3);
    disp.print(F("Speed = "));
    disp.setCursor(13,3);
    disp.print(testval);
    delay(200);
}

void ShowSplash(void)  {               // display the init screen for a few seconds
  disp.clear();
  disp.setCursor(5,0);
  disp.print(F("ButtonTest"));
  disp.setCursor(4,2);
  disp.print(F("Version "));
  disp.setCursor(12,2);
  disp.print(Version);
  delay(SplashTime);
  disp.clear();
}

